Imports System.IO

Public Class FrmChineseFood
    Dim MyLocation As String
    Dim FoodName As String()
    Dim FoodType As String()
    Dim FoodDescription As String()
    Dim Foodprice As Double()
    Dim FoodImage As String()

    Private Sub FrmChineseFood_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader  'object to read file
        Dim MyFile As String                'string to hold entire contents of file
        Dim MyLine As String()              'array of lines from file
        Dim MyToken As String()             'array of token when line is parsed
        Dim i As Integer                    'loop counter


        MyLocation = Directory.GetCurrentDirectory

        'attempt to read all of file contents and assign it 
        'to MyFile variable
        Try
            MyStreamReader = New StreamReader(MyLocation & "\ChineseFood.txt")
            MyFile = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading menu file.")
            Exit Sub
        End Try

        'parse file contents of return character
        MyLine = MyFile.Split(vbCrLf)

        'instantiate arrays
        FoodName = New String(MyLine.Length - 1) {}
        FoodType = New String(MyLine.Length - 1) {}
        FoodDescription = New String(MyLine.Length - 1) {}
        Foodprice = New Double(MyLine.Length - 1) {}
        FoodImage = New String(MyLine.Length - 1) {}

        'loop through lines of data, parse them, 
        'assign the tokens to the appropriate array 
        'elements
        For i = 0 To MyLine.Length - 1
            MyLine(i) = MyLine(i).Trim
            MyToken = MyLine(i).Split(",")
            FoodName(i) = MyToken(0).Trim
            FoodType(i) = MyToken(1).Trim
            FoodDescription(i) = MyToken(2).Trim
            Foodprice(i) = MyToken(3).Trim
            FoodImage(i) = MyToken(4).Trim

            lstMenu.Items.Add(FoodName(i))
        Next

    End Sub

    Private Sub btnOrder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOrder.Click
        Dim PortionMult As Double
        Dim SpiceLevel As String
        Dim SearchIndex As Integer

        If radForOne.Checked Then
            PortionMult = 1

        ElseIf radForTwo.Checked Then
            PortionMult = 1.8
        ElseIf radFamily.Checked Then
            PortionMult = 3.4
        Else
            MsgBox("Please select a portion size.")
            Exit Sub
        End If
        'MsgBox(PortionMult)

        If radMild.Checked Then
            SpiceLevel = "Mild"
        ElseIf radMedium.Checked Then
            SpiceLevel = "Medium"
        ElseIf radSpicy.Checked Then
            SpiceLevel = "Spicy"
        Else
            MsgBox("Please select a spice level.")
            Exit Sub
        End If
        'MsgBox(SpiceLevel)

        If lstMenu.SelectedIndex = -1 Then
            MsgBox("Please choose an item from the menu.")
            Exit Sub
        Else
            SearchIndex = Array.IndexOf(FoodName, lstMenu.SelectedItem)
            MsgBox(SearchIndex)
        End If
    End Sub
End Class
